function ClearGameInfo(num)
{
	if (num == 1)
	{
		g_first_scene = 0;
		g_terminal_furthest=0;
/*
		for (i=0;i<max_ammos;i++)
		{
			ammo_array[i].curclip = 10;//amt in current clip 
			ammo_array[i].clipamt = 10;//max ammo in a clip
			ammo_array[i].maxammo = 10;//max bullets.
			ammo_array[i].curammo = 10;//bullets you have left.
		
			ammo_array[i].fw1 = 0;//frame wait for firing.
			ammo_array[i].fw2 = 0;
			
			ammo_array[i].aw1 = 2;
			ammo_array[i].aw2 = 2;
			ammo_array[i].aw3 = 1;
			ammo_array[i].aw4 = 0;
		
			ammo_array[i].damage = 1;
		}
*/
		//weapon possession array
		for (i=0;i<16;i++)
		{
			weap_possess[i] = 0;
		}
		weap_possess[0] = 1;
//		weap_possess[1] = 1;
//		weap_possess[10] = 1;
//		weap_possess[11] = 1;

		ammo_array[0].curclip = 12;
		ammo_array[0].curammo = 120;
		
		ammo_array[1].curclip = 0;
		ammo_array[1].curammo = 0;

		for (i=2;i<14;i++)
		{
			ammo_array[i].curclip = 0;
			ammo_array[i].curammo = 0;
		}

		entities[0].x = 0;
		entities[0].y = 0;
		entities[0].vx = 0;
		entities[0].vy = 0;
		
		entities[0].dir = 1;
		entities[0].dir2 = 1;
		entities[0].frame1 = 1;
		entities[0].frame2 = 1;
		
		
		entities[0].hp = max_hp;
		entities[0].stam = max_stam;
		entities[0].name = "main_torso";
		entities[0].spriteset = "leigh";
		entities[0].type = 0;//main hero character
		
			
		gore_multi = 0;
		gore_counter = 0;
		gore_score = 0;
	}


	if (num == -1)
		var start = 1;
	else
		var start = 0;
	
for (cci=start;cci<max_entities;cci++)
{
	entities[cci].x = 0;
	entities[cci].y = 0;
	entities[cci].vx = 0;
	entities[cci].vy = 0;
	entities[cci].dir = 1;
	entities[cci].dir1 = "";
	entities[cci].dir2 = "";
	entities[cci].frame1 = 0;
	entities[cci].frame2 = 0;
	entities[cci].mask = CreateColor(128,128,128, 255);
	
	entities[cci].hp = 1;
	entities[cci].hp1 = 1;//arm1
	entities[cci].hp2 = 1;//arm2
	entities[cci].hp3 = 1;//legs
	entities[cci].name = "enemy"+i;
	entities[cci].spriteset = "";
	entities[cci].type = -1;
	entities[cci].invince = 0;
	entities[cci].active = false;
	entities[cci].ambush = false;
}

SetupHeads();

for (cci=0;cci<max_blood;cci++)
{
	blood[cci].x = -100;
	blood[cci].y = 0;

	blood[cci].type = 0;
	blood[cci].frame = 0;
	blood[cci].dir = 0;
	blood[cci].id1 = 0;
}

for (cci=0;cci<max_spark;cci++)
{
	spark[cci].x = -100;
	spark[cci].y = 0;

	spark[cci].type = 0;
	spark[cci].frame = 0;
	spark[cci].dir = 0;
	spark[cci].id1 = 0;
}

for (cci=0;cci<max_trails;cci++)
{
  btrails[cci].x = 0;
  btrails[cci].y = 0;
  btrails[cci].vx = 0;
  btrails[cci].vy = 0;
  btrails[cci].size = 0;
}


delete guts;

max_guts = 1;
min_guts = 1;
guts = new Array();

for (cci=0;cci<max_guts;cci++)
{
	guts[cci] = new Object();
	guts[cci].x = blood_dx;
	guts[cci].y = 0;

	guts[cci].vx = 0;
	guts[cci].vy = 0;
	guts[cci].name = "";

	guts[cci].id1 = 0;
	guts[cci].frame = 0;
	guts[cci].direction = "enemy1_guts1";
	guts[cci].flamed = 0;
	guts[cci].blood = 1;
	guts[cci].layer = gut_layer;
}



for (cci=0;cci<max_doors;cci++)
{
	doors[cci] = new Object();
	doors[cci].x = blood_dx;
	doors[cci].y = 0;
	doors[cci].layer = 0;
	doors[cci].dir = 0;
	doors[cci].frame = 0;
	doors[cci].type = 0;
	doors[cci].hp = 0;
		//type 1-regular door
		//type 2-switch
		//type 3-switch door
		//type 4-hp door

	doors[cci].active = 0;

	doors[cci].target = 0;
	doors[cci].name = "";
	doors[cci].id1 = "";
}


for (cci=0;cci<map_zones.length;cci++)
{
	map_zones[cci] = 0;//untriggered
}

}